> ## Documentation Index
> Fetch the complete documentation index at: https://portal.itscovered.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Loan Officer

> Add or update the loan officer for a loan application



## OpenAPI

````yaml PUT /v1/loans/{id}/loan-officer
openapi: 3.1.0
info:
  description: Development documentation
  title: Lenders API
  version: 1.4.0
servers:
  - url: https://sandbox-api.itscovered.com/lenders
security: []
tags:
  - description: Health check
    name: health
  - description: Loans
    name: loans
  - description: Policies
    name: policies
  - description: Authentication
    name: auth
paths:
  /v1/loans/{id}/loan-officer:
    put:
      tags:
        - loans
      summary: Add or Update Loan Officer
      description: Add or update the loan officer for a loan application
      operationId: putV1LoansByIdLoan-officer
      parameters:
        - description: The unique identifier of the loan application
          in: path
          name: id
          required: true
          schema:
            example: 693f2f46-69ff-4f20-a4d9-abe982d34fd4
            type: string
      requestBody:
        content:
          application/json:
            schema:
              description: The loan contact information
              properties:
                email:
                  description: The email of the loan officer
                  example: john.doe@example.com
                  type: string
                firstName:
                  description: The first name of the loan officer
                  example: John
                  type: string
                lastName:
                  description: The last name of the loan officer
                  example: Doe
                  type: string
                phone:
                  description: The phone number of the loan officer
                  example: '1234567890'
                  type: string
              required:
                - firstName
                - lastName
                - email
                - phone
              type: object
          multipart/form-data:
            schema:
              description: The loan contact information
              properties:
                email:
                  description: The email of the loan officer
                  example: john.doe@example.com
                  type: string
                firstName:
                  description: The first name of the loan officer
                  example: John
                  type: string
                lastName:
                  description: The last name of the loan officer
                  example: Doe
                  type: string
                phone:
                  description: The phone number of the loan officer
                  example: '1234567890'
                  type: string
              required:
                - firstName
                - lastName
                - email
                - phone
              type: object
          text/plain:
            schema:
              description: The loan contact information
              properties:
                email:
                  description: The email of the loan officer
                  example: john.doe@example.com
                  type: string
                firstName:
                  description: The first name of the loan officer
                  example: John
                  type: string
                lastName:
                  description: The last name of the loan officer
                  example: Doe
                  type: string
                phone:
                  description: The phone number of the loan officer
                  example: '1234567890'
                  type: string
              required:
                - firstName
                - lastName
                - email
                - phone
              type: object
        required: true
      responses:
        '204':
          description: No Content
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Token
      scheme: bearer
      type: http

````